Name: kphone
Version: 4.1.1
Release: alt0.M24.1

Summary: KPhone is a SIP (Session Initiation Protocol) user agent
License: GPL
Group: Communications
Packager: Alexey Borovskoy <alb@altlinux.ru>

URL: http://www.wirlab.net/kphone/
Source0: %name-%version.tar.gz
Source1: %name.menu

Patch1: %name-makefile.patch

BuildPreReq: gcc-c++ libqt3-devel libssl-devel libalsa-devel

Requires: icon-theme-hicolor

%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux, with
which you can initiate VoIP (Voice over IP) connections over the Internet,
send Instant Messages and subscribe your friends' presence information.

%prep
%setup -qn %name
%patch1 -p1

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%__mkdir_p %buildroot%_menudir
%__mkdir_p %buildroot%_iconsdir/hicolor/{16x16,32x32,48x48}/apps/
%__mkdir_p %buildroot%_docdir/%name-%version

%__cp {COPYING,README,CHANGES} %buildroot%_docdir/%name-%version

%__cp icons/large-%name.png %buildroot%_iconsdir/hicolor/48x48/apps/
%__cp icons/lo-%name.png %buildroot%_iconsdir/hicolor/32x32/apps/
%__cp icons/mini-%name.png %buildroot%_iconsdir/hicolor/16x16/apps/
%__cp %SOURCE1 %buildroot%_menudir

%post
%update_menus

%postun
%clean_menus

%files
%_menudir/*
%_iconsdir/hicolor/*/*/*
%_bindir/*
%_datadir/apps/%name
%_datadir/%name
%_docdir/%name-%version

%changelog
* Thu May 05 2005 Alexey Borovskoy <alb@altlinux.ru> 4.1.1-alt0.M24.1
- 4.1.1

* Tue Dec 28 2004 Alexey Borovskoy <alb@altlinux.ru> 4.0.5-alt0.M24.1
- First build for ALTLinux
